<?php
/**
 * Review list top view
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$page    = $this->reviewPage;
$style   = $this->style;
$pgSett  = $this->pageSetting;
$stSett  = $this->styleSetting;
$reviews = $this->reviews;

$class  = 'iprev-list-main';
$class .= ' iprev-layout-' . $stSett->getSetting( 'layout', 'left' );
?>

<!-- Start: .iprev-main -->
<div class="<?php echo $class; ?>">
  <!-- Start: .iprev-main-inner -->
  <div class="iprev-list-main-inner">

    <?php
    if ( ! empty( $reviews )) :
    ?>
    <!-- Start: .iprev-reviews -->
    <div class="iprev-reviews iprev-clear">
      <!-- Start: .iprev-review-slides -->
      <div class="iprev-review-slides iprev-clear">
        <?php
        foreach( $reviews as $review )
        {
          $this->review = $review;
          $this->view( 'front/widget/blocks/review' );
        }
        ?>
      </div>
      <!-- End: .iprev-review-slides -->

      <!-- Start: .iprev-review-nav -->
      <div class="iprev-review-nav iprev-clear">

      </div>
      <!-- End: .iprev-review-nav -->

    </div>
    <!-- End: .iprev-reviews -->

    <?php
    else :
    ?>
    <!-- Start: .iprev-reviews-empty -->
    <div class="iprev-reviews">
      <?php _e( 'No reviews has found', IPREV_SLUG ); ?>
    </div>
    <!-- End: .iprev-reviews-empty -->

    <?php
    endif;
    ?>

  </div>
  <!-- End: .iprev-main-inner -->
</div>
<!-- End: .iprev-main -->
