<?php
/**
 * Meta box options view
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="iprev-metabox" class="iprev-wrap">
  <div class="container-fluid container iprev-form">
    <div class="iprev-fields">

      <?php
      /*
       * Review Page
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="iprev-mb-input-review-page"><?php _e( 'Review Page', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <select name="iprev_review_page" id="iprev-mb-input-review-page">
              <option value="0"><?php _e( 'None', IPREV_SLUG ); ?></option>
              <?php
              $current = get_post_meta( $this->post->ID, '__iprev_page_review_page', true );
              if ( ! empty( $this->pages ))
              {
                  foreach( $this->pages as $page )
                  {
                      $sltd = '';
                      if ( $page->ID == $current ) {
                          $sltd = ' selected="selected"';
                      }
                      echo '<option value="' . $page->ID . '"' . $sltd . '>' . $page->post_title . '</option>';
                  }
              }
              ?>
          </select>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Style
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="iprev-mb-input-style"><?php _e( 'Style', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <select name="iprev_style" id="iprev-mb-input-style">
              <option value="0"><?php _e( 'None', IPREV_SLUG ); ?></option>
              <?php
              $current = get_post_meta( $this->post->ID, '__iprev_page_style', true );

              if ( ! empty( $this->styles ))
              {
                  foreach( $this->styles as $style )
                  {
                      $sltd = '';
                      if ( $style->ID == $current ) {
                          $sltd = ' selected="selected"';
                      }
                      echo '<option value="' . $style->ID . '"' . $sltd . '>' . $style->post_title . '</option>';
                  }
              }
              ?>
          </select>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

    </div>
  </div>
  <?php wp_nonce_field( plugin_basename( __FILE__ ), 'iprev_mbox_nonce' ); ?>
</div>
