<?php
/**
 * Review page bottom view
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st      = $this->setting;
$bgcolor = $st->getSetting( 'footer_background_color', '#ffffff' );
$color   = $st->getSetting( 'footer_color', '#333333' );
$bowidth = $st->getSetting( 'footer_border_width' );
$bocolor = $st->getSetting( 'footer_border_color', '#dddddd' );
$padtop  = $st->getSetting( 'footer_padding_top', '0' );
$padbot  = $st->getSetting( 'footer_padding_bottom', '0' );
//Font
$font_opt = $st->getSetting( 'footer_font_family', 'roboto' );
$family   = IPRev_Font::getFamily( $font_opt );
?>
<style>
.iprev-review-page ._bottom {
    background-color: <?php echo $bgcolor; ?>;
    color: <?php echo $color; ?>;
    <?php
    if ( $bowidth ) {
        echo 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
    }
    ?>
    padding-top: <?php echo $padtop; ?>px;
    padding-bottom: <?php echo $padbot; ?>px;
    font-family: <?php echo $family; ?>;
}
</style>
<?php
$class  = '_bottom';
$class .= ' _bottom-style-' . $st->getSetting( 'footer_style', 1 );
$class .= ' _align-' . $st->getSetting( 'footer_alignment', 'left' );
if ( $radius = $st->getSetting( 'footer_border_radius' )) {
    $class .= ' _radius-' . $radius;
}
?>
<div class="<?php echo $class; ?>">
  <div class="_bottom-inner">
    <?php
    echo $st->getSetting( 'footer_text' );
    ?>
  </div>
</div>
