<?php
/**
 * Review item primary view
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$page    = $this->reviewPage;
$style   = $this->style;
$pgSett  = $this->pageSetting;
$stSett  = $this->styleSetting;

if ( ! isset( $this->review ) || empty( $this->review )) {
  return;
}
$review = $this->review;
?>

<!-- Start: .iprev-review-primary -->
<div class="iprev-review-primary">
  <div class="_inner">
    <!-- Start: .iprev-review-content -->
    <div class="iprev-review-content _content">

      <!-- Start: ._content-top -->
      <div class="_content-top">
        <!-- Start: ._content-title -->
        <?php
        $title = get_comment_meta( $review->comment_ID, 'review_title', true );
        if ( ! empty( $title )) :
        ?>
        <h2 class="_content-title">
          <?php echo $title; ?>
        </h2>
        <?php
        endif;
        ?>
        <!-- End: ._content-title -->

        <div class="_content-date">
          <i class="iprev-fa iprev-fa-calendar"></i>
          <?php echo mysql2date( 'd M Y, h:i', $review->comment_date_gmt ); ?>
        </div>
      </div>
      <!-- End: ._content-top -->

      <!-- Start: ._content-main -->
      <div class="_content-main">
        <div class="_content-main-text">
          <?php echo $review->comment_content; ?>
        </div>

        <?php
        $text = $stSett->getSetting( 'term' );
        if ( ! empty( $text )) :
        ?>
        <div class="_content-term">
          <span class="_star">*</span> <?php echo $text; ?>
        </div>
        <?php
        endif;
        ?>
      </div>
      <!-- End: ._content-main -->

    </div>
    <!-- End: .iprev-review-content -->
  </div>
</div>
<!-- End: .iprev-review-primary -->
