<?php
/**
 * Admin dashboard view
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="iprev-dashboard" class="wrap iprev-wrap iprev-admin">
    <div class="iprev-inner">

        <?php
        $this->view( 'manage/general/header' );
        ?>

        <div class="iprev-main">
            <div class="iprev-main-info">
                <?php
                if ( isset( $_GET['create'] )) :
                ?>
                <div class="iprev-alert iprev-alert-success" style="display: block;">
                    <?php _e( 'Successfully add a review.', IPREV_SLUG ); ?>
                </div>
                <?php
                elseif ( isset( $_GET['delete'] )) :
                ?>
                <div class="iprev-alert iprev-alert-success" style="display: block;">
                    <?php _e( 'Successfully deleting a review.', IPREV_SLUG ); ?>
                </div>
                <?php
                endif;
                ?>
            </div>

            <div class="iprev-primary">
                <?php
                require_once( IPREV_LIB . 'tableMain.php' );
                $list = new IPRev_Table_Main();
                $list->render();
                ?>
            </div>
        </div>

    </div>

</div>
